Now Playing
curl --request GET \
--url https://api.themoviedb.org/3/movie/now_playing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/now_playing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/now_playing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/now_playing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/now_playing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/now_playing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/now_playing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dates": {
"maximum": "2025-01-08",
"minimum": "2024-11-27"
},
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/6qld2YxAO9gdEblo0rsEb8BcYKO.jpg",
"genre_ids": [
10749,
18
],
"id": 1156593,
"original_language": "es",
"original_title": "Culpa tuya",
"overview": "The love between Noah and Nick seems unwavering despite their parents' attempts to separate them. But his job and her entry into college open up their lives to new relationships that will shake the foundations of both their relationship and the Leister family itself.",
"popularity": 5944.118,
"poster_path": "/1sQA7lfcF9yUyoLYC0e6Zo3jmxE.jpg",
"release_date": "2024-12-26",
"title": "Your Fault",
"video": false,
"vote_average": 7.3,
"vote_count": 469
},
{
"adult": false,
"backdrop_path": "/euYIwmwkmz95mnXvufEmbL6ovhZ.jpg",
"genre_ids": [
28,
12,
18
],
"id": 558449,
"original_language": "en",
"original_title": "Gladiator II",
"overview": "Years after witnessing the death of the revered hero Maximus at the hands of his uncle, Lucius is forced to enter the Colosseum after his home is conquered by the tyrannical Emperors who now lead Rome with an iron fist. With rage in his heart and the future of the Empire at stake, Lucius must look to his past to find strength and honor to return the glory of Rome to its people.",
"popularity": 5324.153,
"poster_path": "/2cxhvwyEwRlysAmRH4iodkvo0z5.jpg",
"release_date": "2024-11-05",
"title": "Gladiator II",
"video": false,
"vote_average": 6.772,
"vote_count": 1756
},
{
"adult": false,
"backdrop_path": "/cjEcqdRdPQJhYre3HUAc5538Gk8.jpg",
"genre_ids": [
28,
14,
35
],
"id": 845781,
"original_language": "en",
"original_title": "Red One",
"overview": "After Santa Claus (codename: Red One) is kidnapped, the North Pole's Head of Security must team up with the world's most infamous tracker in a globe-trotting, action-packed mission to save Christmas.",
"popularity": 3383.271,
"poster_path": "/cdqLnri3NEGcmfnqwk2TSIYtddg.jpg",
"release_date": "2024-10-31",
"title": "Red One",
"video": false,
"vote_average": 7.036,
"vote_count": 1687
}
],
"total_pages": 214,
"total_results": 4270
}MOVIE LISTS
Now Playing
This endpoint is used to get a list of movies that are currently in theatres.
GET
/
movie
/
now_playing
Now Playing
curl --request GET \
--url https://api.themoviedb.org/3/movie/now_playing \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.themoviedb.org/3/movie/now_playing"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.themoviedb.org/3/movie/now_playing', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.themoviedb.org/3/movie/now_playing",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.themoviedb.org/3/movie/now_playing"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.themoviedb.org/3/movie/now_playing")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.themoviedb.org/3/movie/now_playing")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"dates": {
"maximum": "2025-01-08",
"minimum": "2024-11-27"
},
"page": 1,
"results": [
{
"adult": false,
"backdrop_path": "/6qld2YxAO9gdEblo0rsEb8BcYKO.jpg",
"genre_ids": [
10749,
18
],
"id": 1156593,
"original_language": "es",
"original_title": "Culpa tuya",
"overview": "The love between Noah and Nick seems unwavering despite their parents' attempts to separate them. But his job and her entry into college open up their lives to new relationships that will shake the foundations of both their relationship and the Leister family itself.",
"popularity": 5944.118,
"poster_path": "/1sQA7lfcF9yUyoLYC0e6Zo3jmxE.jpg",
"release_date": "2024-12-26",
"title": "Your Fault",
"video": false,
"vote_average": 7.3,
"vote_count": 469
},
{
"adult": false,
"backdrop_path": "/euYIwmwkmz95mnXvufEmbL6ovhZ.jpg",
"genre_ids": [
28,
12,
18
],
"id": 558449,
"original_language": "en",
"original_title": "Gladiator II",
"overview": "Years after witnessing the death of the revered hero Maximus at the hands of his uncle, Lucius is forced to enter the Colosseum after his home is conquered by the tyrannical Emperors who now lead Rome with an iron fist. With rage in his heart and the future of the Empire at stake, Lucius must look to his past to find strength and honor to return the glory of Rome to its people.",
"popularity": 5324.153,
"poster_path": "/2cxhvwyEwRlysAmRH4iodkvo0z5.jpg",
"release_date": "2024-11-05",
"title": "Gladiator II",
"video": false,
"vote_average": 6.772,
"vote_count": 1756
},
{
"adult": false,
"backdrop_path": "/cjEcqdRdPQJhYre3HUAc5538Gk8.jpg",
"genre_ids": [
28,
14,
35
],
"id": 845781,
"original_language": "en",
"original_title": "Red One",
"overview": "After Santa Claus (codename: Red One) is kidnapped, the North Pole's Head of Security must team up with the world's most infamous tracker in a globe-trotting, action-packed mission to save Christmas.",
"popularity": 3383.271,
"poster_path": "/cdqLnri3NEGcmfnqwk2TSIYtddg.jpg",
"release_date": "2024-10-31",
"title": "Red One",
"video": false,
"vote_average": 7.036,
"vote_count": 1687
}
],
"total_pages": 214,
"total_results": 4270
}Authorizations
Response
200 - application/json
Successful